### Method

# Ide Subprocess communicate_finish

#### Declaration

    gboolean
    ide_subprocess_communicate_finish (
      IdeSubprocess* self,
      GAsyncResult* result,
      GBytes** stdout_buf,
      GBytes** stderr_buf,
      GError** error
    )

#### Description

Finishes a request to ide_subprocess_communicate_async().

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`stdout_buf` | `GBytes`
| A location for a `Bytes`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`stderr_buf` | `GBytes`
| A location for a `Bytes`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful; otherwise `FALSE` and `error` is set.